.module-template-blog-1 {
    padding: var(--spacing-22);
    padding-bottom: var(--spacing-40);
    padding-left: var(--spacing-36);
    border-radius: var(--radius-15);
    transition: var(--transition-medium);
    position: relative;
    overflow: hidden;
}

.module-template-blog-1 img {
    border-radius: var(--radius-20);
    border-top-left-radius: calc(100 * var(--rpx));
    border-bottom-left-radius: calc(100 * var(--rpx));
    overflow: hidden;
    max-height: calc(190 * var(--rpx));
    width: 100%;
    object-fit: cover;
    object-position: top;
}

.module-template-blog-1 h3 {
    max-width: 75%;
}

.module-template-blog-1 p {
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    overflow: hidden;
    color: var(--text-70);
    font-size: var(--font-p1);
}

.module-template-blog-1::after,
.module-template-blog-1::before {
    content: '';
    position: absolute;
    inset: 0;
    margin: auto;
    z-index: -1;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: var(--transition-medium);
}

.module-template-blog-1::before {
    background: var(--gradient-bg-overlay-2);
    opacity: 1;
}

.module-template-blog-1::after {
    background: var(--gradient-bg-overlay-3);
}


.module-template-blog-1:hover::after {
    opacity: 1;
}

.module-template-blog-1 h3,
.module-template-blog-1 p,
.module-template-blog-1 .tag {
    transition: var(--transition-medium);
}

.module-template-blog-1:hover h3,
.module-template-blog-1:hover p,
.module-template-blog-1:hover .tag {
    color: var(--white);
}

.module-template-blog-1:hover .tag {
    background: var(--blue-100-25);
}


/* Red */
.module-component-blog .grid > div:nth-child(even) > a::before {
    background: var(--gradient-bg-overlay-red);
}

.module-component-blog .grid > div:nth-child(even) > a::after {
    background: var(--gradient-red-overlay);
}

.module-component-blog .grid > div:nth-child(even) > a:hover::before,
.module-component-blog .grid > div:nth-child(even) > a:hover::after {
    opacity: 1;
}

.module-component-blog .grid > div:nth-child(even) > a .tag {
    background: var(--red-100-20);
    color: var(--red-100);
}

.module-component-blog .grid > div:nth-child(even) > a:hover .tag {
    background: var(--red-100);
    color: var(--white);
}


@media (max-width: 1023px) {
    .module-template-blog-1 {
        padding: 13px;
        padding-bottom: 30px;
        gap: 20px !important;
    }

    .module-template-blog-1 h3 {
        font: var(--font-h4);
    }

    .module-template-blog-1 img {
        border-radius: var(--radius-15);
        border-top-left-radius: calc(100 * var(--rpx));
        border-bottom-left-radius: calc(100 * var(--rpx));
        height: calc(145 * var(--rpx));
    }

    .module-template-blog-1 p {
        -webkit-line-clamp: 4;
    }
}